#ifndef CONTROLWORKER_H
#define CONTROLWORKER_H

#include <QObject>
#include "frontend_common.h"

class ControlWorker : public QObject
{
    Q_OBJECT
public:
    explicit ControlWorker(QObject *parent = 0);

signals:
    void gotNodes(QStringList nodes);
    void gotParams(QStringList params);
    void gotParamValue(float value);

public slots:
    void connectBackend();
    void disconnectBackend();
    void getNodes();
    void getParams(QString node);
    void getParamValue(QString node, QString param);


private:
    struct backend_conn * conn;

};

#endif // CONTROLWORKER_H
